Discussion:
[PATCH v2 2/2] deb-pkg: Add automatic support for s390x architecture
(too old to reply)
Ben Hutchings
2014-06-09 00:30:01 UTC
Permalink
The Debian s390x architecture has 64-bit userland whereas s390 has
32-bit userland. A 64-bit kernel can be used with either. Now that
Debian supports multiarch and officially supports s390x, it makes more
sense to assign a 64-bit kernel package to s390x.

Reported-by: Stephen Powell <***@wowway.com>
References: https://bugs.debian.org/750925
Signed-off-by: Ben Hutchings <***@decadent.org.uk>
---
v2: - add bug reference, since Stephen also found this
- add '|| true', as in recent fixes for other architectures

scripts/package/builddeb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 6756ed6..8db6dbd 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -35,7 +35,7 @@ create_package() {
sparc*)
debarch=sparc ;;
s390*)
- debarch=s390 ;;
+ debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
ppc*)
debarch=powerpc ;;
parisc*)
--
Ben Hutchings
One of the nice things about standards is that there are so many of them.
Michal Marek
2014-06-10 13:30:02 UTC
Permalink
Post by Ben Hutchings
The Debian s390x architecture has 64-bit userland whereas s390 has
32-bit userland. A 64-bit kernel can be used with either. Now that
Debian supports multiarch and officially supports s390x, it makes more
sense to assign a 64-bit kernel package to s390x.
References: https://bugs.debian.org/750925
Applied to kbuild.git#misc, thanks.

Michal
--
To UNSUBSCRIBE, email to debian-s390-***@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact ***@lists.debian.org
Archive: https://lists.debian.org/***@suse.cz
Loading...